﻿using Vintasoft.Data;
using Vintasoft.Imaging.Web.HttpHandlers;

namespace WebImageViewerDemo_Database.Handlers
{
    /// <summary>
    /// A HTTP handler that handles HTTP requests from clients and
    /// allows to get information about image or render image thumbnail/tile.
    /// </summary>
    public class VintasoftDBImageHandler : VintasoftImageHandler
    {

        /// <summary>
        /// Creates a data storage for current session.
        /// </summary>
        /// <param name="sessionId">The session identifier.</param>
        /// <returns>The data storage.</returns>
        protected override IDataStorage CreateSessionDataStorage(string sessionId)
        {
            return new DataBaseImageStorage();
        }

    }
}